Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Delete a Subscription


This topic describes how to delete a webhook subscription. Deleting a webhook subscription does not delete the history of webhook notifications.

This request requires the webhook subscription ID. The subscription ID is in the webhookId response field from the create a webhook subscription request.

Endpoint

Send a DELETE request to this endpoint. The {webhookId} is the webhook subscription ID.

DELETE /notification-subscriptions/v2/webhooks/{webhookId}

DELETE /notification-subscriptions/v2/webhooks/{webhookId}

DELETE /notification-subscriptions/v2/webhooks/{webhookId}

Example

DELETE /notification-subscriptions/v2/webhooks/b555a545-58a9-47c7-aef9-10a8e17f201a
{}
{    "status": "successfully deleted"}

Response Codes

A successful request is indicated by the 200-level response code. For more information about all of the possible response codes you can receive, see Transaction Response Codes.

Last published: October 28, 2026